com.mysql.cj.exceptions

## Interface ExceptionInterceptor

All Known Implementing Classes:
  ExceptionInterceptorChain

    public interface ExceptionInterceptor

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `destroy()` Called by the driver when this extension should release any resources it is holding and cleanup internally before the connection is closed.
`ExceptionInterceptor` `init(Properties props, Log log)` Called once per connection that wants to use the extension The properties are the same ones passed in in the URL or arguments to Driver.connect() or DriverManager.getConnection().
`Exception` `interceptException(Exception sqlEx)`

### Method Detail

#### init

    ExceptionInterceptor init(Properties props,
                              Log log)

Called once per connection that wants to use the extension The properties are the same ones passed in in the URL or arguments to Driver.connect() or DriverManager.getConnection().

Parameters:
  `props` - configuration values as passed to the connection. Note that in order to support javax.sql.DataSources, configuration properties specific to an interceptor must be passed via setURL() on the DataSource. Extension properties are not exposed via accessor/mutator methods on DataSources.
  `log` - logger instance
Returns:
  `ExceptionInterceptor`

#### destroy

    void destroy()

Called by the driver when this extension should release any resources it is holding and cleanup internally before the connection is closed.

#### interceptException

    Exception interceptException(Exception sqlEx)

Copyright © 2016, 2025, Oracle and/or its affiliates.